JaspiMessageInfo (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security.jaspi

## Class JaspiMessageInfo

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.JaspiMessageInfo

- All Implemented Interfaces:
    javax.security.auth.message.MessageInfo

      public class JaspiMessageInfo
      extends Object
      implements javax.security.auth.message.MessageInfo

  Almost an implementation of jaspi MessageInfo.
  Version:
    $Rev: 4660 $ $Date: 2009-02-25 17:29:53 +0100 (Wed, 25 Feb 2009) $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_METHOD_KEY`
    `static String` | `MANDATORY_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaspiMessageInfo(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, boolean isAuthMandatory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `Map` | `getMap()`
    `Object` | `getRequestMessage()`
    `Object` | `getResponseMessage()`
    `boolean` | `isAuthMandatory()`
    `void` | `setRequestMessage(Object request)`
    `void` | `setResponseMessage(Object response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MANDATORY_KEY

          public static final String MANDATORY_KEY

      See Also:
        Constant Field Values

    - #### AUTH_METHOD_KEY

          public static final String AUTH_METHOD_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JaspiMessageInfo

          public JaspiMessageInfo(javax.servlet.ServletRequest request,
                          javax.servlet.ServletResponse response,
                          boolean isAuthMandatory)

  - ### Method Detail

    - #### getMap

          public Map getMap()

      Specified by:
        `getMap` in interface `javax.security.auth.message.MessageInfo`

    - #### getRequestMessage

          public Object getRequestMessage()

      Specified by:
        `getRequestMessage` in interface `javax.security.auth.message.MessageInfo`

    - #### getResponseMessage

          public Object getResponseMessage()

      Specified by:
        `getResponseMessage` in interface `javax.security.auth.message.MessageInfo`

    - #### setRequestMessage

          public void setRequestMessage(Object request)

      Specified by:
        `setRequestMessage` in interface `javax.security.auth.message.MessageInfo`

    - #### setResponseMessage

          public void setResponseMessage(Object response)

      Specified by:
        `setResponseMessage` in interface `javax.security.auth.message.MessageInfo`

    - #### getAuthMethod

          public String getAuthMethod()

    - #### isAuthMandatory

          public boolean isAuthMandatory()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.